<?php


namespace App\Http\Controllers;


use App\Http\Logic\WechatLogic;

class WechatController extends BaseController
{
    /**
     * 校验微信服务器
     */
    public function checkServer($code)
    {
        $data = WechatLogic::checkServerlogic($code);
        return $data;
    }

    /**
     * 设置公众号菜单
     * @return \Illuminate\Http\JsonResponse
     */
    public function setMenu()
    {
        $data = WechatLogic::setMenuLogic();
        return $this->success($data);
    }
}