<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

//生成swagger.json文件
Route::get("/swagger","BaseController@swagger");
//读取swagger内容
Route::get("/loadswagger","BaseController@loadSwagger");
Route::get("/test","BaseController@test");



//校验微信服务器
Route::any("/checkServer/{code}","WechatController@checkServer");
//设置微信菜单
Route::any("/wechat/setmenu","WechatController@setMenu");







